# Databag

A low code solution for generic data entry and querying capabilities. Databag has one goal and that is to prevent the proliferation of one off data entry and maintenance tools within you environment. It allows you to define entry points for web forms, flat file uploads, and Rest api endpoints. 

Databag can serve as a storage repository for your data or as a staging location for other services.

# Features
- [ ] Schema definition within a web GUI
- [ ] Restful CRUD end points for modeled entities
- [ ] OpenAPI documentation for all registered endpoints
- [ ] Role based access controls to data and endpoints
- [ ] A web viewable data catalog
- [ ] Metadata endpoints for integration with enterprise data catalogs
    - Data metrics
    - Schema definition
    - Required permissions
- [ ] Automatic data maintenance processes (Purging policies)
- [ ] Integration registry. Track all applications integrating with Databag
- [ ] Rate limiting 

# Potential Roadmap features
- [ ] GraphQL
- [ ] OAuth
- [ ] Saml Identity integration
- [ ] Style overrides for basic branding


